import { Breakpoints } from './styled';
export declare const fonts: {
    body: string;
    monospace: string;
};
export declare const radii: {
    default: string;
    circle: string;
};
export declare const zIndex: {
    navigation: number;
    controlBar: number;
    modal: number;
    popOver: number;
    notificationGroup: number;
};
export declare const defaultTheme: {
    breakpoints: Breakpoints;
    mediaQueries: {
        min: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        max: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
    };
    fonts: {
        body: string;
        monospace: string;
    };
    fontSizes: {
        baseFontSize: string;
        fontWeight: string;
        h1: {
            fontSize: string;
            fontWeight: string;
            lineHeight: string;
            mobile: {
                fontSize: string;
                fontWeight: string;
                lineHeight: string;
            };
        };
        h2: {
            fontSize: string;
            fontWeight: string;
            lineHeight: string;
            mobile: {
                fontSize: string;
                fontWeight: string;
                lineHeight: string;
            };
        };
        h3: {
            fontSize: string;
            fontWeight: string;
            lineHeight: string;
            mobile: {
                fontSize: string;
                fontWeight: string;
                lineHeight: string;
            };
        };
        h4: {
            fontSize: string;
            fontWeight: string;
            lineHeight: string;
            mobile: {
                fontSize: string;
                fontWeight: string;
                lineHeight: string;
            };
        };
        h5: {
            fontSize: string;
            fontWeight: string;
            lineHeight: string;
            mobile: {
                fontSize: string;
                fontWeight: string;
                lineHeight: string;
            };
        };
        h6: {
            fontSize: string;
            fontWeight: string;
            lineHeight: string;
            mobile: {
                fontSize: string;
                fontWeight: string;
                lineHeight: string;
            };
        };
        text: {
            fontSize: string;
            lineHeight: string;
        };
        label: {
            fontSize: string;
            lineHeight: string;
        };
        small: {
            fontSize: string;
            lineHeight: string;
        };
        footnote: {
            fontSize: string;
            lineHeight: string;
        };
    };
    radii: {
        default: string;
        circle: string;
    };
    zIndex: {
        navigation: number;
        controlBar: number;
        modal: number;
        popOver: number;
        notificationGroup: number;
    };
    modalSizes: {
        md: {
            width: string;
            height: string;
        };
        lg: {
            width: string;
            height: string;
        };
        fullscreen: {
            width: string;
            height: string;
        };
    };
    iconButtonSizes: {
        sm: string;
        md: string;
        lg: string;
    };
};
export default defaultTheme;
